## nordugrid-arc 2.0.0

=== debian/changelog ===
nordugrid-arc (2.0.0-3) unstable; urgency=low

  * Allow more time for slow machine during test

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 03 Jul 2012 11:39:06 +0200

nordugrid-arc (2.0.0-2) unstable; urgency=low

  * Fix problem with directory hierarchies during job retrieval

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 16 Jun 2012 11:56:52 +0200

nordugrid-arc (2.0.0-1) unstable; urgency=low

  * 2.0.0 Final Release (Closes: #630371)
  * Fix FTBFS with gcc 4.7 (Closes: #674312)
  * Disable chelonia, hopi, isis and janitor

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 23 May 2012 19:27:47 +0200
