## nordugrid-arc 2.0.1

=== debian/changelog ===
nordugrid-arc (2.0.1-1) unstable; urgency=low

  * 2.0.1 Release
  * Drop patches accepted upstream

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 13 Dec 2012 16:41:31 +0100

nordugrid-arc (2.0.0-5) unstable; urgency=low

  * Add missing Replaces/Breaks (Closes: #694500)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 03 Dec 2012 14:08:18 +0100

nordugrid-arc (2.0.0-4) unstable; urgency=low

  * Add missing Replaces/Breaks

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 27 Nov 2012 14:11:42 +0100
