## nordugrid-arc 3.0.2

=== debian/changelog ===
nordugrid-arc (3.0.2-1) unstable; urgency=low

  * 3.0.2 Release
  * Drop deprecated find syntax (Closes: #711708)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 14 Jun 2013 16:42:17 +0200

nordugrid-arc (3.0.1-1) unstable; urgency=low

  * 3.0.1 Release

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 08 May 2013 13:48:03 +0200

nordugrid-arc (3.0.0-1) unstable; urgency=low

  * 3.0.0 Release (Closes: #690716)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 17 Apr 2013 06:37:28 +0200
