=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Uploaders: Anders Waananen <waananen@nbi.dk>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 5), autotools-dev, libxml2-dev (>= 2.4.0), libssl-dev, libglibmm-2.4-dev, python-dev, libltdl-dev | libltdl7-dev | libltdl3-dev, libldap2-dev, uuid-dev, libcppunit-dev, pkg-config, libdb++-dev, libxmlsec1-dev (>=1.2.4), libglobus-common-dev, libglobus-gssapi-gsi-dev, libglobus-rls-client-dev, libglobus-ftp-client-dev, libglobus-ftp-control-dev, python-support, default-jdk | openjdk-6-jdk | java-gcj-compat-dev, liblfc-dev, libgridsite-dev, openssl, swig
+Build-Depends: debhelper (>= 5), autotools-dev, libxml2-dev (>= 2.4.0), libssl-dev, libglibmm-2.4-dev, python-dev, libltdl-dev | libltdl7-dev | libltdl3-dev, libldap2-dev, uuid-dev, libcppunit-dev, pkg-config, libdb++-dev, libxmlsec1-dev (>=1.2.4), libglobus-common-dev, libglobus-gssapi-gsi-dev, libglobus-ftp-client-dev, libglobus-ftp-control-dev, python-support, default-jdk | openjdk-6-jdk | java-gcj-compat-dev, junit, liblfc-dev, libgridsite-dev, openssl, swig, libnss3-dev, libcanl-c++1-dev, pylint, libxml-simple-perl
 XS-Python-Version: current
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Browser: http://svn.nordugrid.org/trac/nordugrid/browser/arc1
 Vcs-Svn: http://svn.nordugrid.org/repos/nordugrid/arc1/trunk
 Homepage: http://www.nordugrid.org
@@ -17,6 +16,7 @@
 Conflicts: nordugrid-arc-libs (<< 1.0.0~), nordugrid-arc1 (<< 1.0.0~), nordugrid-arc1-janitor (<< 1.0.0~), nordugrid-arc-nox (<< 1.3.0~), nordugrid-arc-httpsd (<< 0.8.2~), nordugrid-arc-logger-server (<< 0.8.2~), nordugrid-arc-nox-charon (<< 1.3.0~), nordugrid-arc-nox-chelonia (<< 1.3.0~), nordugrid-arc-nox-compiler (<< 1.3.0~), nordugrid-arc-nox-delegation (<< 1.3.0~), nordugrid-arc-nox-hopi (<< 1.3.0~), nordugrid-arc-nox-isis (<< 1.3.0~), nordugrid-arc-nox-janitor (<< 1.3.0~), nordugrid-arc-nox-paul (<< 1.3.0~), nordugrid-arc-nox-saml2sp (<< 1.3.0~), nordugrid-arc-nox-slcs (<< 1.3.0~), nordugrid-arc-chelonia (<< 2.0.0~), nordugrid-arc-hopi (<< 2.0.0~), nordugrid-arc-isis (<< 2.0.0~), nordugrid-arc-janitor (<< 2.0.0~), libarccommon0, libarccommon1
 Breaks: nordugrid-arc-hed (<< 1.0.1~rc2~), nordugrid-arc-arex (<< 2.0.1~)
 Architecture: any
+Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
 Description: ARC Grid middleware
  NorduGrid is a collaboration aiming at development, maintenance and
@@ -53,6 +53,17 @@
  retrieve results. Basic Grid file manipulation tools are
  also offered.
 
+Package: nordugrid-arc-arcproxyalt
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libarccommon2 (= ${binary:Version}), nordugrid-arc-plugins-needed (= ${binary:Version})
+Description: ARC command line interface
+ NorduGrid is a collaboration aiming at development, maintenance and
+ support of the free Grid middleware, known as the Advanced Resource
+ Connector (ARC).
+ .
+ Technology preview for the ARC integration with caNl. This package
+ provides arcproxyalt based on caNl.
+
 Package: nordugrid-arc-hed
 Provides: nordugrid-arc1-server, nordugrid-arc-nox-hed
 Replaces: nordugrid-arc1-server (<< 1.0.0~), nordugrid-arc-nox-hed (<< 1.3.0~), nordugrid-arc-nox-client (<< 1.3.0~), nordugrid-arc-client (<< 1.0.1~rc2~)
@@ -74,7 +85,7 @@
 Replaces: nordugrid-arc-nox-gridftp-server (<< 1.3.0~)
 Conflicts: nordugrid-arc-nox-gridftp-server (<< 1.3.0~)
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libarccommon2 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libarccommon2 (= ${binary:Version}), nordugrid-arc-plugins-needed (= ${binary:Version})
 Description: ARC GridFTP server
  NorduGrid is a collaboration aiming at development, maintenance and
  support of the free Grid middleware, known as the Advanced Resource
@@ -95,7 +106,7 @@
 Replaces: nordugrid-arc-nox-cache-service (<< 1.3.0~)
 Conflicts: nordugrid-arc-nox-cache-service (<< 1.3.0~)
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libarccommon2 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libarccommon2 (= ${binary:Version}), nordugrid-arc-hed (= ${binary:Version}), nordugrid-arc-plugins-needed (= ${binary:Version})
 Description: ARC cache service
  NorduGrid is a collaboration aiming at development, maintenance and
  support of the free Grid middleware, known as the Advanced Resource
@@ -109,7 +120,7 @@
 Package: nordugrid-arc-datadelivery-service
 Provides: nordugrid-arc-nox-datadelivery-service
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libarccommon2 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libarccommon2 (= ${binary:Version}), nordugrid-arc-hed (= ${binary:Version}), nordugrid-arc-plugins-needed (= ${binary:Version})
 Description: ARC data delivery service
  NorduGrid is a collaboration aiming at development, maintenance and
  support of the free Grid middleware, known as the Advanced Resource
@@ -117,29 +128,43 @@
  .
  This package contains the ARC data delivery service.
 
+Package: nordugrid-arc-ldap-infosys
+Provides: nordugrid-arc-infosys-ldap, nordugrid-arc-nox-ldap-infosys, nordugrid-arc-infoindex
+Replaces: nordugrid-arc-infosys-ldap (<< 1.0.0~), nordugrid-arc-nox-ldap-infosys (<< 1.3.0~), nordugrid-arc-infoindex (<< 0.8.2~), nordugrid-arc-aris (<< 3.0.0~)
+Conflicts: nordugrid-arc-infosys-ldap (<< 1.0.0~), nordugrid-arc-nox-ldap-infosys (<< 1.3.0~), nordugrid-arc-infoindex (<< 0.8.2~), nordugrid-arc-aris (<< 3.0.0~)
+Architecture: all
+Depends: ${misc:Depends}, ${perl:Depends}, slapd, glue-schema (>= 2.0.10), bdii
+Description: ARC LDAP infosys service
+ NorduGrid is a collaboration aiming at development, maintenance and
+ support of the free Grid middleware, known as the Advanced Resource
+ Connector (ARC).
+ .
+ This package contains the LDAP based information system for ARC.
+ This package is not self-contained. it should be pulled in by either
+ nordugrid-arc-arex to be a part of a local information system or by
+ nordugrid-arc-egiis to be a part of a EGIIS service.
+
 Package: nordugrid-arc-aris
-Provides: nordugrid-arc-infosys-ldap, nordugrid-arc-nox-ldap-infosys, nordugrid-arc-infoindex
 Replaces: nordugrid-arc-infosys-ldap (<< 1.0.0~), nordugrid-arc-nox-ldap-infosys (<< 1.3.0~), nordugrid-arc-infoindex (<< 0.8.2~)
 Conflicts: nordugrid-arc-infosys-ldap (<< 1.0.0~), nordugrid-arc-nox-ldap-infosys (<< 1.3.0~), nordugrid-arc-infoindex (<< 0.8.2~)
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, bdii
-Description: ARC LDAP infosys service
- NorduGrid is a collaboration aiming at development, maintenance and
- support of the free Grid middleware, known as the Advanced Resource
- Connector (ARC).
- .
- ARIS stands for ARC Resource Information Service. The package contains
- LDAP based information system for ARC services. This package is not
- self-contained: it should be coupled either with ARC Compute Element
- to be a part of a local information system or with ARC Information
- Indexing Service (EGIIS) to be a part of an EGIIS service.
+Depends: ${misc:Depends}, ${perl:Depends}, nordugrid-arc-ldap-infosys (= ${binary:Version}), bdii
+Description: ARC local information system
+ NorduGrid is a collaboration aiming at development, maintenance and
+ support of the free Grid middleware, known as the Advanced Resource
+ Connector (ARC).
+ .
+ This package contains the LDAP based information system for ARC.
+ This package is not self-contained. it should be pulled in by either
+ nordugrid-arc-arex to be a part of a local information system or by
+ nordugrid-arc-egiis to be a part of a EGIIS service.
 
 Package: nordugrid-arc-egiis
 Provides: nordugrid-arc-nox-giis
 Replaces: nordugrid-arc-nox-giis (<< 1.3.0~)
 Conflicts: nordugrid-arc-nox-giis (<< 1.3.0~)
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, nordugrid-arc-aris (= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, nordugrid-arc-ldap-infosys (= ${source:Version})
 Description: ARC EGIIS service
  NorduGrid is a collaboration aiming at development, maintenance and
  support of the free Grid middleware, known as the Advanced Resource
@@ -183,35 +208,6 @@
 Replaces: nordugrid-arc-grid-manager (<< 1.0.0~), nordugrid-arc-server (<< 1.0.0~), nordugrid-arc1-arex (<< 1.0.0~), nordugrid-arc-nox-arex (<< 1.3.0~)
 Conflicts: nordugrid-arc-grid-manager (<< 1.0.0~), nordugrid-arc-server (<< 1.0.0~), nordugrid-arc1-arex (<< 1.0.0~), nordugrid-arc-nox-arex (<< 1.3.0~)
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libarccommon2 (= ${binary:Version}), nordugrid-arc-hed (= ${binary:Version}), nordugrid-arc-aris (= ${source:Version}), nordugrid-arc-plugins-needed (= ${binary:Version}), libxml-simple-perl, python, python-stompy, m2crypto
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libarccommon2 (= ${binary:Version}), nordugrid-arc-hed (= ${binary:Version}), nordugrid-arc-aris (= ${source:Version}), nordugrid-arc-plugins-needed (= ${binary:Version}), nordugrid-arc-python (= ${binary:Version}), libxml-simple-perl, python, python-stompy, python-ldap
 Description: ARC Remote EXecution service
  NorduGrid is a collaboration aiming at development, maintenance and
- support of the free Grid middleware, known as the Advanced Resource
- Connector (ARC).
- .
- The ARC Resource-coupled EXecution service (AREX) provides a service
- for the execution of compute jobs - also known as a Compute Element.
- A-REX also handles transfer of input and output data, as well as
- input data caching to minimise data traffic.
-
-Package: nordugrid-arc-plugins-needed
-Provides: nordugrid-arc1-plugins-base, nordugrid-arc-nox-plugins-base, nordugrid-arc-plugins-base
-Replaces: nordugrid-arc1-plugins-base (<< 1.0.0~), nordugrid-arc-nox-plugins-base (<< 1.3.0~), nordugrid-arc-plugins-base (<< 1.0.0~b2~)
-Conflicts: nordugrid-arc1-plugins-base (<< 1.0.0~), nordugrid-arc-nox-plugins-base (<< 1.3.0~), nordugrid-arc-nox-plugins-globus (<< 1.3.0~), nordugrid-arc-plugins-base (<< 1.0.0~b2~), nordugrid-arc-plugins-globus (<< 1.0.0~b3~)
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libarccommon2 (= ${binary:Version})
-Description: ARC base plugins
- NorduGrid is a collaboration aiming at development, maintenance and
- and support of the free Grid middleware, known as the Advanced
- Resource Connector (ARC).
- .
- ARC base plugins. This includes the Message Chain Components (MCCs)
- and Data Management Components (DMCs).
-
-Package: nordugrid-arc-plugins-globus
-Provides: nordugrid-arc1-plugins-globus, nordugrid-arc-nox-plugins-globus
-Replaces: nordugrid-arc1-plugins-globus (<< 1.0.0~), nordugrid-arc-nox-plugins-globus (<< 1.3.0~)
-Conflicts: nordugrid-arc1-plugins-globus (<< 1.0.0~), nordugrid-arc-nox-plugins-globus (<< 1.3.0~), nordugrid-arc-plugins-needed (<< 1.0.1-2~)
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libarccommon2 (= ${binary:Version})
-Description: ARC Globus plugins
