=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,18 @@
 LDFLAGS := $(filter-out -Wl$(COMMA)-Bsymbolic-functions,$(LDFLAGS))
 
 LFC_SUPPORT = yes
+CANL_SUPPORT = yes
 
 ifeq ($(LFC_SUPPORT),yes)
 LFC_CONFIGURE_OPTION =
 else
 LFC_CONFIGURE_OPTION = --disable-lfc
+endif
+
+ifeq ($(CANL_SUPPORT),yes)
+CANL_CONFIGURE_OPTION = --enable-canlxx
+else
+CANL_CONFIGURE_OPTION =
 endif
 
 configure: configure-stamp
@@ -28,13 +35,10 @@
 		    --localstatedir=/var \
 		    --mandir='$${datadir}/man' \
 		    --infodir='$${datadir}/info' \
+		    --disable-dbjstore \
 		    --disable-doc \
 		    --with-docdir='$${datadir}/doc/nordugrid-arc' \
-		    --disable-storage-service \
-		    --disable-hopi-service \
-		    --disable-isis-service \
-		    --disable-janitor-service \
-		    $(LFC_CONFIGURE_OPTION)
+		    $(LFC_CONFIGURE_OPTION) $(CANL_CONFIGURE_OPTION)
 	touch $@
 
 build: build-arch build-indep
@@ -62,14 +66,19 @@
 	rm -f debian/nordugrid-arc-cache-service.arc-cache-service.init
 	rm -f debian/nordugrid-arc-datadelivery-service.arc-datadelivery-service.init
 	rm -f debian/nordugrid-arc-gridftpd.gridftpd.init
-	rm -f debian/nordugrid-arc-aris.grid-infosys.init
+	rm -f debian/nordugrid-arc-aris.nordugrid-arc-bdii.init
+	rm -f debian/nordugrid-arc-ldap-infosys.nordugrid-arc-slapd.init
+	rm -f debian/nordugrid-arc-ldap-infosys.nordugrid-arc-inforeg.init
+	rm -f debian/nordugrid-arc-egiis.nordugrid-arc-egiis.init
+	rm -f debian/nordugrid-arc-acix-cache.acix-cache.init
+	rm -f debian/nordugrid-arc-acix-index.acix-index.init
 
 	dh_clean configure-stamp build-stamp
 
 install: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_prep
+	[ -x /usr/bin/dh_prep ] && dh_prep || dh_clean -k
 
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
 
@@ -89,8 +98,18 @@
 	   debian/nordugrid-arc-datadelivery-service.arc-datadelivery-service.init
 	mv debian/tmp/etc/init.d/gridftpd \
 	   debian/nordugrid-arc-gridftpd.gridftpd.init
-	mv debian/tmp/etc/init.d/grid-infosys \
-	   debian/nordugrid-arc-aris.grid-infosys.init
+	mv debian/tmp/etc/init.d/nordugrid-arc-bdii \
+	   debian/nordugrid-arc-aris.nordugrid-arc-bdii.init
+	mv debian/tmp/etc/init.d/nordugrid-arc-slapd \
+	   debian/nordugrid-arc-ldap-infosys.nordugrid-arc-slapd.init
+	mv debian/tmp/etc/init.d/nordugrid-arc-inforeg \
+	   debian/nordugrid-arc-ldap-infosys.nordugrid-arc-inforeg.init
+	mv debian/tmp/etc/init.d/nordugrid-arc-egiis \
+	   debian/nordugrid-arc-egiis.nordugrid-arc-egiis.init
+	mv debian/tmp/etc/init.d/acix-cache \
+	   debian/nordugrid-arc-acix-cache.acix-cache.init
+	mv debian/tmp/etc/init.d/acix-index \
+	   debian/nordugrid-arc-acix-index.acix-index.init
 
 	mkdir -p debian/tmp/usr/share/java
 	mv debian/tmp/usr/lib/java/*.jar debian/tmp/usr/share/java
@@ -107,16 +126,22 @@
 	dh_installexamples -a
 	dh_installman -a
 	dh_installlogrotate -a
-	dh_install -a --fail-missing
+	if dpkg --compare-versions `dpkg-query -W -f='$${version}' debhelper` \
+	    lt 7.4.16 ; then \
+	dh_install -a ; \
+	else \
+	dh_install -a --fail-missing ; \
+	fi
 	dh_installchangelogs -a
 	dh_installinit -p nordugrid-arc-hed --name arched
 	dh_installinit -p nordugrid-arc-arex --name a-rex
 	dh_installinit -p nordugrid-arc-cache-service --name arc-cache-service
 	dh_installinit -p nordugrid-arc-datadelivery-service --name arc-datadelivery-service
+	dh_installinit -p nordugrid-arc-egiis --name nordugrid-arc-egiis
 	dh_installinit -p nordugrid-arc-gridftpd --name gridftpd
 	dh_perl -a
-	dh_python2 -a
-	dh_lintian -a
+	[ -x /usr/bin/dh_python2 ] && dh_python2 -a || dh_pysupport -a
+	[ -x /usr/bin/dh_lintian ] && dh_lintian -a || :
 	dh_link -a
 	dh_strip -a --dbg-package=nordugrid-arc-dbg
 	dh_compress -a -X .pdf
@@ -136,12 +161,21 @@
 	dh_installexamples -i
 	dh_installman -i
 	dh_installlogrotate -i
-	dh_install -i --fail-missing
+	if dpkg --compare-versions `dpkg-query -W -f='$${version}' debhelper` \
+	    lt 7.4.16 ; then \
+	dh_install -i ; \
+	else \
+	dh_install -i --fail-missing ; \
+	fi
 	dh_installchangelogs -i
-	dh_installinit -p nordugrid-arc-aris --name grid-infosys
+	dh_installinit -p nordugrid-arc-aris --name nordugrid-arc-bdii
+	dh_installinit -p nordugrid-arc-ldap-infosys --name nordugrid-arc-slapd
+	dh_installinit -p nordugrid-arc-ldap-infosys --name nordugrid-arc-inforeg
+	dh_installinit -p nordugrid-arc-acix-cache --name acix-cache
+	dh_installinit -p nordugrid-arc-acix-index --name acix-index
 	dh_perl -i
-	dh_python2 -i
-	dh_lintian -i
+	[ -x /usr/bin/dh_python2 ] && dh_python2 -i || dh_pysupport -i
+	[ -x /usr/bin/dh_lintian ] && dh_lintian -i || :
 	dh_link -i
 	dh_compress -i -X .pdf
 	dh_fixperms -i
